### Enumeration

# GIRepository FunctionInfoFlags

since: 2.80

#### Declaration

    flags GIRepository.FunctionInfoFlags

#### Description [src]

Flags for a `GIFunctionInfo` struct.

Available since: 2.80

#### Members

`GI_FUNCTION_INFO_FLAGS_NONE`

  No flags set (since: 2.86).

  - Value: `0`
  - Available since: 2.80
`GI_FUNCTION_IS_METHOD`

  Is a method.

  - Value: `1`
  - Available since: 2.80
`GI_FUNCTION_IS_CONSTRUCTOR`

  Is a constructor.

  - Value: `2`
  - Available since: 2.80
`GI_FUNCTION_IS_GETTER`

  Is a getter of a `GIPropertyInfo`.

  - Value: `4`
  - Available since: 2.80
`GI_FUNCTION_IS_SETTER`

  Is a setter of a `GIPropertyInfo`.

  - Value: `8`
  - Available since: 2.80
`GI_FUNCTION_WRAPS_VFUNC`

  Represents a virtual function.

  - Value: `16`
  - Available since: 2.80
`GI_FUNCTION_IS_ASYNC`

  No description available.

  - Value: `32`
  - Available since: 2.80